Project search should select subprojects scope when the project has subprojects
2019-02-26 17:23 - Yuuki NARA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Search engine Estimated time: 0.00 hour
Target version: 3.4.10

Resolution: Fixed Affected version: 3.4.6
Description

In the following tickets,
the project search has been changed by Redmine 3.4.0 to include subprojects by default,

Search in project and its subprojects by default
http://www.redmine.org/issues/9909

But it is not working as expected.
Selected the project itself.

| confirmed it in Redmine 3.4.6.

Related issues:
Related to Redmine - Feature #9909: Search in project and its subprojects by ... Closed

Associated revisions

Revision 18005 - 2019-03-25 02:57 - Go MAEDA

Project search should select subprojects scope when the project has subprojects (#30923).

Patch by Marius BALTEANU.

Revision 18006 - 2019-03-25 04:48 - Go MAEDA
Merged r18005 from trunk to 4.0-stable (#30923).

Revision 18007 - 2019-03-25 04:50 - Go MAEDA
Merged r18005 from trunk to 3.4-stable (#30923).

History

#1 - 2019-02-27 04:10 - Go MAEDA
- Related to Feature #9909: Search in project and its subprojects by default added

#2 - 2019-02-27 04:47 - Go MAEDA
- File scope-test-1@2x.png added

- File scope-test-2@2x.png added

- Assignee set to Yuuki NARA

| tested the behavior on the current trunk. NARA-san, are you talking about the second behavior?
1. Redmine searches the current project and its subprojects when you enter search keywords to the box on the upper-right corner. It seems

working as expected.
2. If you click the label "Search" on the left side of the box, the default scope is the current project only.
#3 - 2019-02-27 15:41 - Yuuki NARA
MaedallSan, Thank you for pointing out.

| was doing the operation of test-2.
Even in my own environment, test-1 has Subproject, and in test-2 it has only Project itself.
In issue9909, it seems that this difference is not mentioned at all.
There are two operation methods test1 and test2.
Which is running
Was the fix that JPL committed effective only when you performed test-1 operation?
#4 - 2019-02-27 15:58 - Go MAEDA
- Assignee deleted (Yuuki NARA)
Yuuki NARA wrote:
| was doing the operation of test-2.

Even in my own environment, test-1 has Subproject, and in test-2 it has only Project itself.

Thank you for clarifying. | think the scope drop-down which is shown by the second operation also should include subprojects, as you insist.

#5 - 2019-02-27 17:23 - Yuuki NARA
I}

The operation of the search operation should be consistent.

#6 - 2019-03-18 12:17 - Marius BALTEANU
- Assignee set to Marius BALTEANU
#7 - 2019-03-24 09:54 - Marius BALTEANU

- File 0001-Project-search-should-select-subprojects-scope-when-.patch added
- Status changed from New to Confirmed

- Assignee deleted (Marius BALTEANU)

- Target version set to 3.4.10

Attach the patch with the fix and tests for this issue and also for #9909.

| think we can deliver this small change in 3.4.10.

#8 - 2019-03-25 02:59 - Go MAEDA

- Subject changed from Project search does not select subproject by default to Project search should select subprojects scope when the project has

subprojects
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you all for reporting and fixing the issue.

#9 - 2019-03-25 03:00 - Go MAEDA

- Status changed from Confirmed to Resolved

#10 - 2019-03-25 04:50 - Go MAEDA

- Status changed from Resolved to Closed

Files

scope-test-1@2x.png 48 KB 2019-02-27 Go MAEDA
scope-test-2@2x.png 46.2 KB 2019-02-27 Go MAEDA
0001-Project-search-should-select-subprojects-scope-when-.patch ~ 7.02 KB 2019-03-24 Marius BALTEANU
